Subject: [quicwg/base-drafts] Push during message exchanges (#771)

From: Mike Bishop <[email-masked]>
Date: Mon, 11 Sep 2017 19:31:21 +0000 (UTC)

Fixes #741.
You can view, comment on, or merge this pull request online at:

  https://github.com/quicwg/base-drafts/pull/771

-- Commit Summary --

  * Talk about push during message exchanges

-- File Changes --

    M draft-ietf-quic-http.md (5)

-- Patch Links --

https://github.com/quicwg/base-drafts/pull/771.patch
https://github.com/quicwg/base-drafts/pull/771.diff

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/771

---

From: janaiyengar <[email-masked]>
Date: Mon, 11 Sep 2017 15:22:08 -0700

janaiyengar commented on this pull request.

> @@ -237,6 +237,11 @@ response may contain zero or more header blocks containing the message headers
 of informational (1xx) HTTP responses (see {{!RFC7230}}, Section 3.2 and
 {{!RFC7231}}, Section 6.2).
 
+At any point during a response message, PUSH_PROMISE frames MAY also be present

nit: It might be clearer to use the word interleaved in there somewhere. Suggested rewording: "A response message MAY be interleaved with PUSH_PROMISE frames that indicate a pushed resource related to the response." Otherwise, LGTM.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/771#pullrequestreview-61973627

---

From: janaiyengar <[email-masked]>
Date: Mon, 11 Sep 2017 22:22:26 +0000 (UTC)

janaiyengar approved this pull request.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/771#pullrequestreview-61973695

---

From: Mike Bishop <[email-masked]>
Date: Mon, 11 Sep 2017 22:49:50 +0000 (UTC)

@MikeBishop pushed 1 commit.

e75c07d  Interleaved

-- 
You are receiving this because you are subscribed to this thread.
View it on GitHub:
https://github.com/quicwg/base-drafts/pull/771/files/44895aefdeafc47137a538f0abe0e542d0d5c946..e75c07dd0fc0c058bbaaa192b2d513d4714196b3

---

From: janaiyengar <[email-masked]>
Date: Mon, 11 Sep 2017 15:50:32 -0700

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/771#pullrequestreview-61978817

---

From: Martin Thomson <[email-masked]>
Date: Mon, 11 Sep 2017 17:02:00 -0700

martinthomson approved this pull request.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/771#pullrequestreview-61989756

---

From: Mike Bishop <[email-masked]>
Date: Tue, 12 Sep 2017 11:53:44 -0700

Merged #771.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/771#event-1245891016